> For the complete documentation index, see [llms.txt](https://docs.prestashop-project.org/1-5-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prestashop-project.org/1-5-documentation/english-documentation/developer-guide/developer-tutorials/using-the-prestashop-web-service/chapter-10-price-management.md).

# Chapter 10 - Price management

## Description <a href="#chapter10-pricemanagement-description" id="chapter10-pricemanagement-description"></a>

It is possible to retrieve the customer prices for a given product, simply by passing parameters to a web service query.

These custom prices are available for the following entities:

* products
* combinations

Custom prices have an alias that you must indicate.

## Example <a href="#chapter10-pricemanagement-example" id="chapter10-pricemanagement-example"></a>

Let's say we want to retrieve the price for combination '25' of the product '1', without tax, in a web service field name "my\_price".

The query: `/api/products/1?price[my_price][use_tax]=0&price[mon_prix][product_attribute]=25`

### Parameters <a href="#chapter10-pricemanagement-parameters" id="chapter10-pricemanagement-parameters"></a>

Here is the list of available parameters when needing to define a custom price:

* country
* state
* currency
* group
* quantity
* decimals
* product\_attribute
* use\_tax
* use\_reduction
* use\_ecotax
* only\_reduction


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prestashop-project.org/1-5-documentation/english-documentation/developer-guide/developer-tutorials/using-the-prestashop-web-service/chapter-10-price-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
